Draft: funcții BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg Funcții BSpline

poziția meniului
Draft → BSpline
Workbenches
Draft, Arch
scurtătură
B S
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Wire


Descriere

Instrumentul BSpline creează o curbă B-Spline din mai multe puncte din actualul work plane. Este nevoie de linewidth and color setată anterior pe fila Activități. Instrumentul BSpline se comportă exact ca instrumentul Draft Wire.

The BSpline tool behaves like the Draft Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

The BSpline tool specifies the exact points through which the curve will go; on the other hand the Draft BezCurve tool uses control points to define the direction of the curve. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft bspline example.jpg

Draft bspline example.jpg

Cum se folosește

  1. Apăsați butonul Draft BSpline.png Draft BSpline, sau apăsați tastele B apoi S
  2. Click pe primul punct în vizualizarea 3D, sau tastați coordinate
  3. Click ăe punctele adiționale în vizualizarea 3D, sau tastați coordinate
  4. Apăsați tastele F sau C sau faceți dublu clic pe ultimul punct sau faceți clic pe primul punct pentru a termina sau închide curba spline. Dacă curba B spline este închisă, ea va fi de asemenea o fațetă, chiar dacă ea apare ca un cadru de tip wireframe.

The spline can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.png Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Opțiuni

  • Apăsați F or the Draft FinishLine.png Finish button to finish the spline, leaving it open
  • Apăsați butonul C or the Draft CloseLine.png Close sau click pe primul punct pentru a finaliza curba Spline, dar care o închid prin adăugarea unui ultim segment între ultimul punct și primul punct.
  • Apăsați tasta X, Y sau Z după un punct pentru a constrânge următorul punct de pe axa dată.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta R sau click pe checkbox pentru a bifa/debifa butonul Relative.Dacă modul relativ este activ, coordonatele punctului următor sunt relativ la ultima. Dacă nu, ele sunt absolute, luate din punctul de origine (0,0,0).
  • Apăsați tasta T sau click pe checkbox pentru a bifa/debifa butonul Continue. Dacă modul continuare este activat, instrumentul BSpline se va reporni după finalizarea sau închiderea acestuia, permițându-vă să desenați altul fără să apăsați din nou butonul BSpline.
  • Apăsați tasta CTRL în timp ce desenați pentru a forța punctul snapping punctul dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați tasta SHIFT în timp ce desenați constrain punct dvs următor orizontal sau vertical în relație cu ultimul .
  • Apăsați tasta W sau apăsați butonul Draft Wipe.png Wipe pentru a șterge segmentele existente și să demarați funcția Spline de la ultimul punct.
  • Apăsați combinația de taste CTRL+Z sau apăsțai butonul Draft UndoLine.png Undo de undo a ultimului punct.
  • Apăsați tasta I sau apăsați butonul Filled pentru a avea funcția spline umplută cu o fațetă după ce a fost închisă.
  • Apăsați tasta ESC sau tasta Cancel pentru a întrerupe comanda curentă BSpline.
  • Planele BS, atunci când sunt în modul de afișare "Flat Lines", pot afișa un model de hașurare, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

  • DATEClosed: Specifică dacă curba spline este închisă sau nu
  • DATEMake Face: Umple curba spline cu o fațetă
  • VEDEREEnd Arrow: Afișează un simbol tp săgeată la ultimul punct al curbei spline, astfel încât este folosit ca linie lider de adnotare
  • VEDEREPattern: Specificați modelul hașurii cu care se va umple filamentul
  • VEDEREPattern Size: Specificați mărimea modelului de hașurare

A BSpline object shares most properties from a Draft Wire, however, most properties only make sense for a Wire.

Data

  • DATAClosed: specifies if the spline is closed or not. If the spline is initially open, this value is False; setting it to True will draw a curve segment to close the spline. If the spline is initially closed, this value is True; setting it to False will remove the last curve segment, and make the spline open.
  • DATAMake Face: specifies if the spline makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the spline intersects itself, as it won't create a proper face.
  • DATAParameterization: affects the shape of the BSpline.

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the spline.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of a closed spline. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script-Programre

Unealta BSpline poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

The BSpline tool can be used in macros and from the Python console by using the following function:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creează un obiect B-Spline din lista de vectori dați.
  • Dacă închis este True sau primul și ultimul pucnt sunt identice, filamentul este îchis.
  • Dacă face este True (și curba BSpline este închisă), Curba B spline va apărea ca fiind umplută.
  • În loc de o listă de puncte, puteți să mergeți și la conturul din Part Wire.
  • Returnează obiectul noi creat.

Exempluː

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg